Package Details: shutter 0.94.3-1

Git Clone URL: https://aur.archlinux.org/shutter.git (read-only, click to copy)
Package Base: shutter
Description: A featureful screenshot tool (formerly gscrot)
Upstream URL: https://shutter-project.org/
Licenses: GPL3
Submitter: City-busz
Maintainer: PhotonX
Last Packager: PhotonX
Votes: 92
Popularity: 2.28
First Submitted: 2017-01-24 12:16
Last Updated: 2020-06-26 13:48

Required by (0)

Sources (1)

Pinned Comments

Ralf_Mardorf commented on 2017-09-03 13:25

Follow the announcement to "get a list of affected packages":

[rocketmouse@archlinux ~]$ pacman -Qqo '/usr/lib/perl5/vendor_perl'
gnome-perl
gnome-vfs-perl
gnomecanvas-perl
perl-gnome2-wnck
perl-goo-canvas
perl-gtk2-imageview
perl-gtk2-unique

Check dependencies:

[rocketmouse@archlinux ~]$ pacman -Qi gnome-perl | grep Depends\ On
Depends On : gnomecanvas-perl gnome-vfs-perl libgnomeui perl

Proper would be to check build dependencies.

Build after increasing the pkgrel of the PKGBUILDs:

[rocketmouse@archlinux ~]$ yaourt -S gnomecanvas-perl gnome-vfs-perl
[snip]
[rocketmouse@archlinux ~]$ yaourt -S gnome-perl perl-gnome2-wnck perl-goo-canvas perl-gtk2-imageview perl-gtk2-unique
[snip]

Then launch shutter:

[rocketmouse@archlinux ~]$ shutter >/dev/null 2>&1

Take a screenshot and edit the screenshot.

Latest Comments

« First ‹ Previous ... 11 12 13 14 15 16

Haron_Prime commented on 2017-01-28 17:36

After update shutter package gnome-perl indicates no longer necessary.
However, it is not.
Trying to run ends with the following errors:

Use of the encoding pragma is deprecated at /bin/shutter line 30.
Can't locate Gnome2.pm in @INC (you may need to install the Gnome2 module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /bin/shutter line 35.
BEGIN failed--compilation aborted at /bin/shutter line 35.

The shutter does not start.
Recovery package gnome-perl problem is solved.

PhotonX commented on 2017-01-28 15:32

A note for shutter-bzr users: Shutter's latest release (0.93.1) exactly corresponds its latest bzr revision (1278), and since the development is dead for over two years the shutter-bzr package is obsolete. I requested its deletion, please switch to this package.

Current status concerning Shutter bugs:

FS#41357 - [shutter] 0.91-2 Launching a second instance causes first instance to crash
https://bugs.archlinux.org/task/41357
-> Fixed!

FS#47237 - [shutter] segfault when trying make screenshot
https://bugs.archlinux.org/task/47237
-> Not reproducible, please give more details in the comments!

FS#50419 - [shutter] 0.93.1-2 Cannot take screenshot of a window, when shutter is already started
https://bugs.archlinux.org/task/50419
-> Not reproducible, please give more details in the comments!

FS#50735 - [shutter] Please apply patches fixing CVE 2015-0854 and other bugs
https://bugs.archlinux.org/task/50735
-> Fixed!

FS#51936 - [shutter] wrong encode
https://bugs.archlinux.org/task/51936
-> Not looked at yet, might be fixed...

PhotonX commented on 2017-01-26 07:50

Yep, it has been kicked out after my last comment. With it a number of its dependencies. I have restored all of them (I hope) but the total number of Shutter's gnome2 dependencies is now 9 - not sure how much longer we can keep it alive... I just hope for some help from Mate devs, maybe they will take care of all these packages (with a new name obviously).

Eriner commented on 2017-01-26 00:14

still missing libgnomeui.

PhotonX commented on 2017-01-25 19:17

I added all necessary packages (hopefully all) to the AUR, please try it out and let me know if everything works!

PhotonX commented on 2017-01-25 17:53

Waiting for a reply here: https://bbs.archlinux.org/viewtopic.php?pid=1686274#p1686274 Looks like a whole bunch of packages (at least two of gnome-pearl dependencies and maybe further dependencies) are gone from the repos and need to be reuploaded to the AUR...

bendavis78 commented on 2017-01-25 17:03

gnome-perl dependency is nowhere to be found. Any suggestions?

PhotonX commented on 2017-01-25 06:48

Thanks for the hints! I already included the patch fixing FS#41357 in -4, will have a look at the imgur upload problem asap.

edit: User intervention seems to be required to make the imgur fix from comment 20 to work, I asked for a solution here: https://code.launchpad.net/~systemdisc/shutter/imgur-fix/+merge/313977

Rhinoceros commented on 2017-01-24 21:30

Just to let you know, @PhotonX, FS#41357 has a patch, as linked in the comments to the bug [a]. I can confirm that this works perfectly. Also, there's a few other patches linked in the other bugs.

In addition, imgur upload has been broken for a while. There is a fix here in comment 14 [b], which I can confirm works. There is also apparently another fix at comment 20, but I've not checked that one.

And thanks for picking this up!!

[a] https://bugs.archlinux.org/task/41357
[b] https://bugs.launchpad.net/shutter/+bug/1565048

City-busz commented on 2017-01-24 12:23

Moved from the [community] repository due to depending on deprecated libraries, especially on gnome-vfs.

This package is still affected by the following bugs:

FS#41357 - [shutter] 0.91-2 Launching a second instance causes first instance to crash
https://bugs.archlinux.org/task/41357

FS#47237 - [shutter] segfault when trying make screenshot
https://bugs.archlinux.org/task/47237

FS#50419 - [shutter] 0.93.1-2 Cannot take screenshot of a window, when shutter is already started
https://bugs.archlinux.org/task/50419

FS#50735 - [shutter] Please apply patches fixing CVE 2015-0854 and other bugs
https://bugs.archlinux.org/task/50735

FS#51936 - [shutter] wrong encode
https://bugs.archlinux.org/task/51936